be.cin.nippin.memberdata.saml.extension

## Class AttributeQueryList

- java.lang.Object
- - be.cin.nippin.memberdata.saml.extension.AttributeQueryList

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:15:35+01:00",
                 comments="JAXB RI v2.3.7")
      public class AttributeQueryList
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}AttributeQuery" maxOccurs="10000"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeQueryList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AttributeQuery>` | `getAttributeQueries()` Gets the value of the attributeQueries property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeQueryList

          public AttributeQueryList()

  - ### Method Detail

    - #### getAttributeQueries

          public List<AttributeQuery> getAttributeQueries()

      Gets the value of the attributeQueries property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributeQueries property.

      For example, to add a new item, do as follows:

              getAttributeQueries().add(newItem);

      Objects of the following type(s) are allowed in the list `AttributeQuery`

Connector Packaging PERSPODOLOGIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.